/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { WebDockManagerPaneDescription } from "./WebDockManagerPaneDescription";
import { markType } from "./type";
/**
 * @hidden
 */
export let WebDocumentHostDescription = /*@__PURE__*/ (() => {
    class WebDocumentHostDescription extends WebDockManagerPaneDescription {
        constructor() {
            super();
            this.q = null;
            this.r = null;
            this.k = null;
            this.n = 0;
        }
        get_type() {
            return "WebDocumentHost";
        }
        get id() {
            return this.q;
        }
        set id(a) {
            this.q = a;
            this.e("Id");
        }
        get paneType() {
            return this.r;
        }
        set paneType(a) {
            this.r = a;
            this.e("PaneType");
        }
        get rootPane() {
            return this.k;
        }
        set rootPane(a) {
            this.k = a;
            this.e("RootPane");
        }
        get size() {
            return this.n;
        }
        set size(a) {
            this.n = a;
            this.e("Size");
        }
    }
    WebDocumentHostDescription.$t = /*@__PURE__*/ markType(WebDocumentHostDescription, 'WebDocumentHostDescription', WebDockManagerPaneDescription.$);
    WebDocumentHostDescription.__marshalByValue1 = true;
    WebDocumentHostDescription.__marshalByValueAlias1 = "DocumentHost";
    return WebDocumentHostDescription;
})();
